<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\TblNotificacionPaisRepository;

final class TblNotificacionPaisService
{
    private TblNotificacionPaisRepository $TblNotificacionPaisRepository;

    public function __construct(TblNotificacionPaisRepository $TblNotificacionPaisRepository)
    {
        $this->TblNotificacionPaisRepository = $TblNotificacionPaisRepository;
    }

    public function checkAndGet(int $TblNotificacionPaisId): object
    {
        return $this->TblNotificacionPaisRepository->checkAndGet($TblNotificacionPaisId);
    }

    public function getAll(): array
    {
        return $this->TblNotificacionPaisRepository->getAll();
    }

    public function getOne(int $TblNotificacionPaisId): object
    {
        return $this->checkAndGet($TblNotificacionPaisId);
    }

    public function create(array $input): object
    {
        $TblNotificacionPais = json_decode((string) json_encode($input), false);

        return $this->TblNotificacionPaisRepository->create($TblNotificacionPais);
    }

    public function update(array $input, int $TblNotificacionPaisId): object
    {
        $TblNotificacionPais = $this->checkAndGet($TblNotificacionPaisId);
        $data = json_decode((string) json_encode($input), false);

        return $this->TblNotificacionPaisRepository->update($TblNotificacionPais, $data);
    }

    public function delete(int $TblNotificacionPaisId): void
    {
        $this->checkAndGet($TblNotificacionPaisId);
        $this->TblNotificacionPaisRepository->delete($TblNotificacionPaisId);
    }
}
